LibreOffice: DocumentIndexLevelFormat Service Reference

LibreOffice LibreOffice 5.4 SDK API Reference

Exported Interfaces | List of all members
DocumentIndexLevelFormat Service Referencepublished

This service provides access to the structure of the levels of document indexes. More...

`import"DocumentIndexLevelFormat.idl";`

Inheritance diagram for DocumentIndexLevelFormat:

## Exported Interfaces
interface | com::sun::star::container::XIndexReplace

## Additional Inherited Members
Public Member Functions inherited from XIndexReplace
void | replaceByIndex ([in] long Index, [in] any Element) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
| replaces the element at the specified index with the given element. More...
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

This service provides access to the structure of the levels of document indexes.

The element type is Sequence< PropertyValues >. Each element in this sequence represents a member of an index line. The following properties are part of such an element.

- TokenType

  Values:

  - TokenEntryNumber - chapter number, used in content indexes only

  - TokenEntryText - text of the entry

  - TokenTabStop - tab stop

  - TokenText - user defined text

  - TokenPageNumber - page number

  - TokenChapterInfo - chapter info, in illustration indexes, table indexes, user indexes, table of objects and alphabetical indexes only

  - TokenHyperlinkStart - start of a hyperlink

  - TokenHyperlinkEnd - end of a hyperlink

  - TokenBibliographyDataField - bibliographic data field

- CharacterStyleName

  Name of the character style applied to the element. Invalid in tab stops.

- TabStopRightAligned

  Tab stop is right aligned. Only valid for tab stops.

- TabStopPosition

  Position of the tab stop. Only valid for tab stops.

- TabStopFillCharacter

  Fill character in tab stops. Only valid for tab stops.

- WithTab

  If true insert tab character.

- Text

  Text. Only valid in user defined text.

- ChapterFormat

  Valid in chapter info and entry number only. See ChapterFormat.

  Other information.

  - In chapter info only com.sun.star.text.ChapterFormat.NUMBER, com.sun.star.text.ChapterFormat.NAME, and com.sun.star.text.ChapterFormat.NAME_NUMBER constants are allowed.

  - In entry number only com.sun.star.text.ChapterFormat.NUMBER and com.sun.star.text.ChapterFormat.DIGIT constants are allowed.

- ChapterLevel

  Valid in chapter info and entry number only. Denotes the level up to which the chapter information is given. Values permitted 1 to 10 inclusive.

## Exported Interfaces

## ◆ com::sun::star::container::XIndexReplace

interface com::sun::star::container::XIndexReplace

The documentation for this service was generated from the following file:

- com/sun/star/text/DocumentIndexLevelFormat.idl